# Get Company Code by ID

Retrieves a single Company Code by its unique `id`.

Endpoint: GET /api/v1/companyCodes/{id}
Version: 1.0.0
Security: bearerAuth

## Path parameters:

  - `id` (string, required)
    Unique identifier of the Company Code.

## Header parameters:

  - `X-PB-Developer-Partner-ID` (string)
    Developer Partner ID. Not required if the developer is the only partner.

## Response 200 fields (application/json):

  - `id` (string)
    Unique identifier of the Company Code created by the system.
    Example: cmpy12345xyz

  - `code` (string)
    Unique Company Code value.
    Example: COMP002

  - `description` (string)
    Description of the Company Code.
    Example: This is description for test company code COMP002

## Response 400 fields (application/json):

  - `errors` (array)
    List of errors.

  - `errors.errorCode` (string)
    This error can be validation_error or internal_error or not_found or already_exists
    Example: validation_error

  - `errors.errorDescription` (string)
    The HTTP 400 Bad Request response status code indicates that the server cannot process the request due to something that is perceived to be a client error (e.g., malformed request syntax, invalid request message framing, or deceptive request routing).
    Example: Custom Fields not found

## Response 401 fields (application/json):

  - `message` (string, required)
    This is HTTP 401 Unauthorized response status code, that indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource.

